<?php
    include "misc.inc";
    include "common.inc";
    include "db_connect.inc";

    $voting  = trim($voting);

    $ok=0; 

    while(1)
    {
        $login = current_user();
        if(!$login)
        {
            $errmsg="Вы должны сначала зарегистрироваться!";
            break;
        }

        if($voting!="Yes" && $voting!="No")
        {
            $errmsg="Вы должны заполнить все поля формы!";
            break;
        } 

       $result=mysql_db_query($db_database, "update Logins SET AcceptVotes='" . $voting . "' WHERE Login='" . $login . "'", $link);
       if(!$result)
       {
           $errmsg = "Ошибка изменения настроек";
           break;
       } 
   
       $ok = 1;
       break;
    } // while

    if($ok)
    {
        do_redirect("prefs.php");
    } else
    {
          start_page();
    }
?>

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
<TITLE>Ошибка добавления адреса!</TITLE>
</HEAD>

<BODY link="#000033" vlink="#333333" alink="#CC0000">
<?php show_header(); ?>

<p>Ошибка изменения настроек:
<pre>
        <?php print $errmsg; ?>
</pre>
<a href="prefs.php">Вернитесь</a>, и попробуйте еще раз.

<?php show_footer(); ?>

</BODY>
</HTML>
